exchange-rates: Get exchange rates

API: coinbase.com:coinbase
Endpoint: /exchange-rates
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 152ms

Description

Gets the current exchange rates. Default base currency is USD.

Parameters (1)

currency (string, query, optional)

Base currency to get rates for (default: USD)

Examples (1)

Get exchange rates openapi-spec
curl 'https://api.coinbase.com/v2/exchange-rates?currency=USD'
import requests

resp = requests.get(
    "https://api.coinbase.com/v2/exchange-rates",
    params={
        'currency': 'USD',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("coinbase")
result = api.fetch("exchange-rates", currency="USD")

for item in result:
    print(item)
const resp = await fetch("https://api.coinbase.com/v2/exchange-rates?currency=USD");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:14:54.234518 200 152ms
2026-04-15 02:31:43.049641 200 151ms
2026-04-14 01:01:48.063670 200 159ms
2026-04-12 12:43:10.777051 200 134ms
2026-04-10 02:25:39.791886 200 169ms
2026-04-09 01:47:50.976877 200 166ms
2026-04-08 07:23:53.654749 200 1468ms
2026-04-07 00:58:35.938178 200 150ms
2026-04-06 06:21:32.811358 200 235ms
2026-04-05 14:14:46.463751 200 328ms
2026-04-05 01:48:45.683755 200 203ms
2026-04-04 02:54:52.558734 200 127ms
2026-04-03 12:24:20.231174 200 143ms
2026-03-30 12:05:12.098341 ERR